Package org.opensaml.soap.soap11.impl

# Class EnvelopeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.common.AbstractExtensibleSOAPObject
org.opensaml.soap.soap11.impl.EnvelopeImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `XMLObject`, `SOAPObject`, `Envelope`

public class EnvelopeImpl extends AbstractExtensibleSOAPObject implements Envelope
Concrete implementation of `Envelope`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Body`
`body`
SOAP body.
`private Header`
`header`
SOAP header.

### Fields inherited from interface org.opensaml.soap.soap11.Envelope

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`EnvelopeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Body`
`getBody()`
Gets the body of this envelope.
`Header`
`getHeader()`
Gets the header of this envelope.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setBody(Body newBody)`
Sets the body of this envelope.
`void`
`setHeader(Header newHeader)`
Sets the header of this envelope.

### Methods inherited from class org.opensaml.soap.common.AbstractExtensibleSOAPObject

`getUnknownAttributes, getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### header

@Nullable private Header header
SOAP header.

### body

@Nullable private Body body
SOAP body.

## Constructor Details

### EnvelopeImpl

protected EnvelopeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace of the element
  `elementLocalName` - name of the element
  `namespacePrefix` - namespace prefix of the element

## Method Details

### getHeader

@Nullable public Header getHeader()
Gets the header of this envelope.

Specified by:
  `getHeader` in interface `Envelope`
Returns:
  the header of this envelope

### setHeader

public void setHeader(@Nullable Header newHeader)
Sets the header of this envelope.

Specified by:
  `setHeader` in interface `Envelope`
Parameters:
  `newHeader` - the header of this envelope

### getBody

@Nullable public Body getBody()
Gets the body of this envelope.

Specified by:
  `getBody` in interface `Envelope`
Returns:
  the body of this envelope

### setBody

public void setBody(@Nullable Body newBody)
Sets the body of this envelope.

Specified by:
  `setBody` in interface `Envelope`
Parameters:
  `newBody` - the body of this envelope

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `AbstractExtensibleSOAPObject`
Returns:
  ordered list of child elements